package org.jabber.jabberbeans.Extension;


import java.io.Serializable;
import java.util.*;
import org.jabber.jabberbeans.util.*;
import org.jabber.jabberbeans.*;
import org.jabber.jabberbeans.Extension.*;


/*
 * An <code>BrowseItemBuilder</code> is used to generate a jabber:iq:browse
 * namespace object, or one of its children.
 */

public class IQBrowseBuilder extends BrowseItemBuilder implements ExtensionBuilder
{
	public IQBrowseBuilder()
	{super();}
	
	
	/*
	 * Build a <code>BrowseItem Extension</code> based on the current builder
	 * state.
	 *
	 * @return <code>BrowseItem Extension</code> based on the current builder
	 * state.
	 */
	public Extension build() throws InstantiationException
	{return new IQBrowse(this);}
}