package org.jabber.jabberbeans;

import java.util.*;

/**
 *
 * @author  Shawn
 * @version 
 */

public interface PresenceListener 
{
	//User came or went
	//We always fire this on a presence packet receipt
	public void changedPresence(Hashtable t, Presence p, PresenceUserNode n, String s);
	
	//User is subscribing
	public void subscribe(Presence p);
	
	//User has subscribed
	public void subscribed(Presence p);
	
	//User is unsubscribing
	public void unsubscribe(Presence p);
	
	//User has unsubscribed
	public void unsubscribed(Presence p);
	
	//Error presence packt
	public void error(Presence p);

}