package org.jabber.jabberbeans;

import org.jabber.jabberbeans.sax.*;
import org.jabber.jabberbeans.util.JID;
import java.io.*;
import java.net.*;
import java.util.Enumeration;
import java.util.Vector;

import javax.net.ssl.*;
import java.security.*;


/**
 *
 * @author  Shawn
 * @version 
 */


public class ConnectionBeanSSL extends ConnectionBean
{	
	int DEFAULT_SSL_PORT = 5223;
	int port = DEFAULT_SSL_PORT;
	
	
	public ConnectionBeanSSL()
	{super();}
	
	public String[] getCiphers(SSLSocket s)
	{
		int num = 0;
		String[] supported = s.getSupportedCipherSuites();
		for(int i = 0; i < supported.length; i++)
		{
			if(supported[i].toLowerCase().indexOf("null") < 0)
			{num++;}
		}
		
		String[] wesupport = new String[num];
		num = 0;
		for(int i = 0; i < supported.length; i++)
		{
			if(supported[i].toLowerCase().indexOf("null") < 0)
			{wesupport[num++] = supported[i];}
		}
		
		return wesupport;
	}
	
	public void connect(InetAddress host) throws IOException, SSLException
	{
		Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());

		SSLSocketFactory factory = (SSLSocketFactory)SSLSocketFactory.getDefault();
		SSLSocket s = (SSLSocket)factory.createSocket(host, DEFAULT_SSL_PORT);
		s.setEnabledCipherSuites(getCiphers(s));

		s.startHandshake();
		connect(s, host);		
	}
	
	public void connect(InetAddress host, int port) throws IOException, SSLException
	{	
		Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());

		SSLSocketFactory factory = (SSLSocketFactory)SSLSocketFactory.getDefault();
		SSLSocket s = (SSLSocket)factory.createSocket(host, port);
		s.setEnabledCipherSuites(getCiphers(s));

		s.startHandshake();
		connect(s, host);
	}
}