package org.jabber.jabberbeans.Extension;


/*
 * An <code>IQBrowse</code> Extension object is used to represent the root in
 * a browse result. IQBrowse can contain other BrowseItems, and
 * also may contain a list of supported namespaces.
 */

public class IQBrowse extends BrowseItem
{
	/* Construct a new <code>IQBrowse</code> object, based on the builder
	 * state.
	 *
	 * @param builder BrowseItemBuilder which holds the state this object
	 *                will be based on
	 */
	public IQBrowse(BrowseItemBuilder builder)
	{super(builder);}

	
	/*
	 * <code>getXMLNS</code> returns the XML NS
	 *
	 * @param XMLNS The <code>String</code> to return
	 */
	protected String getXMLNS()
	{return "jabber:iq:browse";}
}